<div class="flex flex-col items-center justify-center h-screen">
  <div class="bg-white shadow-md rounded-lg p-10 w-full max-w-md">
<div class="max-w-md mx-auto mt-10">
  <form [formGroup]="RegistroForm" class="space-y-4">
    <div>
      <label for="nombre" class="block text-sm font-medium text-gray-700">Nombre del Puerto</label>
      <input type="text" formControlName="nombrePuerto" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombrePuerto')?.invalid && RegistroForm.get('nombrePuerto')?.touched" id="nombre"
             name="nombre" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombrePuerto')?.invalid" class="text-red-500 text-sm mt-1">
        Por favor, ingrese el Puerto.
      </div>
    </div>
    <div>
      <label for="direccion" class="block text-sm font-medium text-gray-700">ubicación</label>
      <input type="text" formControlName="ubicacion" required [class.is-invalid]="mostrarErrores && RegistroForm.get('ubicacion')?.invalid && RegistroForm.get('direccionCliente')?.touched"
             id="direccion" name="direccion" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('ubicacion')?.invalid" class="text-red-500 text-sm mt-1">
        Por favor, ingrese su ubicación.
      </div>
    </div>
    <div>
      <label for="contacto" class="block text-sm font-medium text-gray-700">Capacidad</label>
      <input type="text" formControlName="capacidad" required [class.is-invalid]="mostrarErrores && RegistroForm.get('capacidad')?.invalid && RegistroForm.get('capacidad')?.touched"
             id="contacto" name="contacto" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('capacidad')?.invalid" class="text-red-500 text-sm mt-1">
        Por favor, ingrese su Capacidad.
      </div>
    </div>
    <div class="flex justify-between">
      <button type="submit" (click)="guardar()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Crear</button>
      <button type="button" (click)="volverMenu()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </div>
  </form>
  <div *ngIf="respuestaCreacion" class="mt-8">
    <h2 class="text-lg font-semibold mb-4">Respuesta de la creación:</h2>
    <table class="min-w-full divide-y divide-gray-200">
      <thead class="bg-gray-50">
      <tr>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Campo</th>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Valor</th>
      </tr>
      </thead>
      <tbody class="bg-white divide-y divide-gray-200">
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">ID</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.id }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Nombre</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.nombre }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Ubicacion</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.ubicacion }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Capacidad</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.capacidad }}</td>
      </tr>
      </tbody>
      <button type="button" (click)="volverMenu()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </table>
  </div>
</div>
  </div>
</div>
